Subject: [rddp] FW: I-D ACTION:draft-pinkerton-rddp-security-00.txt

From: "Jim Pinkerton" <[email-masked]>
Date: Mon, 23 Jun 2003 11:32:42 -0700

FYI.

Our initial draft at a security analysis was just posted to the IETF ID
site (note that the URL wraps to a new line, so a simple cut-and-paste
won't work).

From the introduction:

   This specification is work in progress - the intent is to begin the 
   discussion with a well thought out framework to analyze the issues. 
   An area of particular concern is that there may be more attacks 
   possible than have been enumerated here.

Feedback would be much appreciated.

Jim

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Friday, June 20, 2003 11:27 AM
> Subject: I-D ACTION:draft-pinkerton-rddp-security-00.txt
> 
> 
> A New Internet-Draft is available from the on-line 
> Internet-Drafts directories.
> 
> 
> 	Title		: DDP/RDMAP Security
> 	Author(s)	: J. Pinkerton
> 	Filename	: draft-pinkerton-rddp-security-00.txt
> 	Pages		: 37
> 	Date		: 2003-6-20
> 	
> This document analyzes security issues around implementation and use 
> of the Direct Data Placement Protocol(DDP) and Remote Direct Memory 
> Access Protocol (RDMAP). It first defines an architectural model for 
> an RDMA Network Interface Card (RNIC), which can implement DDP or 
> RDMAP and DDP. The model includes a definition of resources that can 
> be attacked. This document then introduces various Trust Models 
> between a local peer and a remote peer and the tools that can be 
> used to create countermeasures against attacks. Finally, the 
> document reviews various attacks and the countermeasures to be used 
> against them, grouping the attacks into spoofing, tampering, 
> information disclosure, denial of service, and elevation of 
> privilege.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-pinkerton-rddp-secur
ity-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the
message.

Internet-Drafts are also available by anonymous FTP. Login with the
username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-pinkerton-rddp-security-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-pinkerton-rddp-security-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail
readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.